Archived

This topic is now archived and is closed to further replies.

asanal

FSX Sp2 installation problem

Recommended Posts

I did dowload FSX and SP1 to my new PC . But I can't dowload SP2. I am getting a suprise message "Microsoft Flight Simulator X service Pact2 requires the English version of Flight Simulator X" MY FSX is an English version..I never have problem in last two years installing/uninstalling FSX SP1 and SP2.. Why I am getting this warning? Am I doing some thing wrong???ThanksSanal

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Are you downloading the English Service Pack? i.e. the one you get by clicking here.
Carl,I dowloaded from your link.I got the same messages. Please see attached screen shots.ThnaksSanal

Share this post


Link to post
Share on other sites
Carl,I dowloaded from your link.I got the same messages. Please see attached screen shots.ThnaksSanal
I am stuck with this problem . Can you help me??Sanal

Share this post


Link to post
Share on other sites
I am stuck with this problem . Can you help me??Sanal
Problem solved.It was a corrupted installation problem.

Share this post


Link to post
Share on other sites
I am stuck with this problem . Can you help me??Sanal
I'm sorry I can't help, but I can sympathize. I saw that same message about needing the English version of FSX (which I have) a few days ago when I tried to add the Acceration pack to FSX on my second computer. I haven't found a way around that, but I was able to install SP2 alone on that same computer without a problem. Good luck.

Share this post


Link to post
Share on other sites